# Uses of Class
org.apache.solr.client.solrj.response.SolrPingResponse

Packages that use SolrPingResponse
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of SolrPingResponse in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return SolrPingResponse
Modifier and Type
Method
Description
`SolrPingResponse`
SolrClient.`ping()`
Issues a ping request to check if the server is alive
`SolrPingResponse`
SolrClient.`ping(String collection)`
Issues a ping request to check if the collection's replicas are alive

## Uses of SolrPingResponse in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return SolrPingResponse
Modifier and Type
Method
Description
`protected SolrPingResponse`
SolrPing.`createResponse(NamedList<Object> namedList)`